# Harini

https://community.apigee.com/questions/38857/including-soap-headers-into-soap-envelope-using-xs.html

## Example Invocation

```
curl -i https://ORG-ENV.apigee.net/harini-1/t1 -H content-type:text/xml \
 -d '<soap:Envelope xmlns:wsse="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd"
               xmlns:wsu="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd"
               xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
 <soap:Header>
    <wsse:Security>
      <wsu:Timestamp wsu:Id="Timestamp-7cd6d5e5">
        <wsu:Created>2009-08-26</wsu:Created>
      </wsu:Timestamp>
    </wsse:Security>
  </soap:Header>
  <soap:Body>
    <GetProxy>
      <ProxiesList/>
    </GetProxy>
  </soap:Body>
</soap:Envelope>
'
```

Expected output:

```
<?xml version="1.0" encoding="UTF-8"?>
<soap:Envelope xmlns:wsse="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd"
               xmlns:wsu="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd"
               xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
   <soap:Header>
      <wsse:Security>
         <wsu:Timestamp wsu:Id="Timestamp-7cd6d5e5">
            <wsu:Created>2009-08-26</wsu:Created>
         </wsu:Timestamp>
      </wsse:Security>
      <ut:reqCode xmlns:ut="temp.org">
         <ut:reqInfo>1490649118219</ut:reqInfo>
      </ut:reqCode>
   </soap:Header>
  <soap:Body>
      <GetProxy>
         <ProxiesList/>
      </GetProxy>
  </soap:Body>
</soap:Envelope>

```
