<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/"
                version="1.0">
  <xsl:output method="xml"
              indent="yes"/>

  <xsl:param name="timestamp" select="''"/>

  <xsl:template match="@*|node()">
    <xsl:copy>
      <xsl:apply-templates select="@*|node()"/>
    </xsl:copy>
  </xsl:template>

  <xsl:template match="soap:Header">
    <xsl:copy>
      <xsl:apply-templates select="@*|node()"/>

      <!-- to be inserted into soap:Header tag -->
      <ut:reqCode xmlns:ut="temp.org">
        <ut:reqInfo><xsl:value-of select="$timestamp"/></ut:reqInfo>
      </ut:reqCode>

    </xsl:copy>
  </xsl:template>

</xsl:stylesheet>
